Subject: Segmentation fault when start net-snmp

From: tran vanle <[email-masked]>
Date: Sat, 27 Jan 2007 21:39:51 +1100 (EST)

Hi all
I use board TQM8xxL , kernel 2.6.11.7 with Marcelo Tosatti  patch and Ramdisk in ELDK 4.0.
I only rebuild net-snmp-5.2.1.2-1_1.src.rpm package (rebuild , not edit any thing)
If I run snmpd with basic configuration
//smnpd.conf
####################
syslocation TQM8xxL  
sysservices 79
syscontact VCS
####################
It run OK

But when I want to use trapsink like (edit snmpd.conf):
//snmpd.conf
####################################
syslocation TQM8xxL  
 sysservices 79
 syscontact VCS
# authtrapenable: Should we send traps when authentication failures occur
#   arguments: 1 | 2   (1 = yes, 2 = no)
authtrapenable 1
# trapcommunity: Default trap sink community to use
#   arguments: community-string
trapcommunity abc
# trapsink: A SNMPv1 trap receiver
#   arguments: host [community] [portnum]
trapsink 192.168.1.7
# informsink: A SNMPv2c inform  (acknowledged trap) receiver
#   arguments: host [community] [portnum]
informsink 192.168.1.15
# trap2sink: A SNMPv2c trap receiver
#   arguments: host [community] [portnum]
trap2sink 192.168.1.7

####################################
I run snmpd with debug , I receive

.......
......
snmp_clean_persistent:  removing old config file: /var/net-snmp/snmpd.0.conf
trace: netsnmp_send_traps(): agent_trap.c, 616:
trap: send_trap 0 0 NET-SNMP-MIB::netSnmpAgentOIDs.10trace: netsnmp_send_traps(): agent_trap.c, 618:
trap: 
trace: snmp_call_callbacks(): callback.c, 209:
callback: START calling callbacks for maj=1 min=6
trace: snmp_call_callbacks(): callback.c, 223:
callback: calling a callback for maj=1 min=6
trace: send_notifications(): notification/snmpNotifyTable.c, 95:
send_notifications: starting: pdu=8086740, vars=0
Segmentation fault

What error I had and How can I fix it?
Is
 net-snmp-5.2.1.2-1_1 package in ELDK 4.0 do not support trapsink?
Does anyone have a patch?
Thanks for all

 Send instant messages to your online friends http://au.messenger.yahoo.com